• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 939
  • Last Modified:

How to upgrade Cisco IOS on a voice router ?

Hi,

I need to upgrade Cisco IOS on a 3845 voice router. The following is the current version.
router#sh ver
Cisco IOS Software, 3800 Software (C3845-SPSERVICESK9-M), Version 12.4(24)T, RELEASE SOFTWARE (fc1)

I have checked the Cisco site and found the following IOS. I would like to know if i have selected the right version.
c3845-spservicesk9-mz.124-24.T5.bin
Also, if I upgrade the softwware, will the licenses installed will stay intact ? Also, the IOS upgrade will have any impact on installed CME ?

0
sheriftk
Asked:
sheriftk
  • 2
  • 2
1 Solution
 
John MeggersNetwork ArchitectCommented:
Upgrading the image should not affect licenses.  Try doing a "show flash:" to see the directory where the files are listed.  My guess is the image you'll find is c3845-spservicesk9-mz.124-24.T.bin, which is an earlier image than T5.  As long as you have enough memory in flash, you can TFTP the new image down, then modify (or configure) a boot statement in the configuration that points to the new image.  That way, if there's a problem, it's easy to downgrade to the old image by changing the boot statement to point to the old image.  If you don't have enough flash memory, then you'll be forced to delete the existing image (which won't affect the router while it's running, only if you tried to reboot it without having a new image in place).  If you have to delete the existing image, then TFTP the new image down and you won't need the boot statement because there will only be one bootable image in flash:.  
0
 
sheriftkAuthor Commented:
Yes the image currently running is - System image file is "flash:c3845-spservicesk9-mz.124-24.T.bin"
Also, What about call manager express ? will it be effected ?
0
 
Istvan KalmarHead of IT Security Division Commented:
HI,

your image supported voice cards if you have DSP-s!
You need to buy from cisco CME sw, and you able to use it with this image!

BEst regards,
Istvan
0
 
sheriftkAuthor Commented:
CME is already installed and running well. My question is will it get effected if I upgrade the O/S ?
0
 
John MeggersNetwork ArchitectCommented:
Don't think it should be affected, but I don't work much with CME so I can't say for certain.  Cisco is usually pretty good about not having a base IOS upgrade require you to go back and re-license or re-configure services running on top.  That said, you should always do upgrades during a maintenance window in case you run into any issues.  Always have a back-out plan.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Cloud Class® Course: SQL Server Core 2016

This course will introduce you to SQL Server Core 2016, as well as teach you about SSMS, data tools, installation, server configuration, using Management Studio, and writing and executing queries.

  • 2
  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now